View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012510CMakeModulespublic2011-10-10 17:422016-06-10 14:31
ReporterTorsten Rohlfing 
Assigned ToKitware Robot 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionmoved 
PlatformAppleOSMac OS XOS Version10.8.0
Product VersionCMake 2.8.5 
Target VersionFixed in Version 
Summary0012510: FindDCMTK does not find MacPorts dcmtk properly
DescriptionOn MacOS X with MacPorts DCMTK library installed under /opt/local, FindDCMTK() in cmake 2.8.5 finds DCMTK libraries but not headers.
Steps To ReproduceConfigure the following CMake project:

## BEGIN
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(SomeToolkit)

FIND_PACKAGE(DCMTK)
## END

Cmake reports:

-- Could NOT find DCMTK (missing: DCMTK_config_INCLUDE_DIR DCMTK_ofstd_INCLUDE_DIR DCMTK_dcmdata_INCLUDE_DIR DCMTK_dcmimgle_INCLUDE_DIR)

Also curious:

"DCMTK_DIR" is set to "/usr/include/dcmtk", which does not exist; moreover, there is no trace of dcmtk anywhere in the /usr tree.

I am attaching complete CMakeCache.txt file for references.
TagsNo tags attached.
Attached Filestxt file icon CMakeCache.txt [^] (16,750 bytes) 2011-10-10 17:42 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0027562)
Torsten Rohlfing (reporter)
2011-10-10 17:54

By the way - still broken in CMake 2.8.6, which I just downloaded and tried.
(0030311)
David Cole (manager)
2012-08-11 11:38

Sending old, never assigned issues to the backlog.

(The age of the bug, plus the fact that it's never been assigned to anyone means that nobody is actively working on it...)

If an issue you care about is sent to the backlog when you feel it should have been addressed in a different manner, please bring it up on the CMake mailing list for discussion. Sign up for the mailing list here, if you're not already on it: http://www.cmake.org/mailman/listinfo/cmake [^]

It's easy to re-activate a bug here if you can find a CMake developer who has the bandwidth to take it on, and ferry a fix through to our 'next' branch for dashboard testing.
(0041914)
Kitware Robot (administrator)
2016-06-10 14:28

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2011-10-10 17:42 Torsten Rohlfing New Issue
2011-10-10 17:42 Torsten Rohlfing File Added: CMakeCache.txt
2011-10-10 17:54 Torsten Rohlfing Note Added: 0027562
2012-08-11 11:38 David Cole Status new => backlog
2012-08-11 11:38 David Cole Note Added: 0030311
2016-06-10 14:28 Kitware Robot Note Added: 0041914
2016-06-10 14:28 Kitware Robot Status backlog => resolved
2016-06-10 14:28 Kitware Robot Resolution open => moved
2016-06-10 14:28 Kitware Robot Assigned To => Kitware Robot
2016-06-10 14:31 Kitware Robot Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker